## javanet.staxutils.events
Class EndElementEvent

    java.lang.Object
      javanet.staxutils.events.AbstractXMLEvent
          javanet.staxutils.events.EndElementEvent

All Implemented Interfaces:
  Serializable, Cloneable, ExtendedXMLEvent, EndElement, XMLEvent, XMLStreamConstants

    public class EndElementEvent

extends AbstractXMLEvent
implements EndElement

`EndElement` event implementation.

Version:
  $Revision: 1.3 $
Author:
  Christian Niles
See Also:
  Serialized Form

Field Summary
`protected QName` `name` The element name.
`protected Collection` `namespaces` A collection of `Namespace`s going out of scope.

Fields inherited from class javanet.staxutils.events.AbstractXMLEvent
`location, schemaType`

Fields inherited from interface javax.xml.stream.XMLStreamConstants
`ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

Constructor Summary
`EndElementEvent(EndElement that)`
`EndElementEvent(QName name, Iterator namespaces)`
`EndElementEvent(QName name, Iterator namespaces, Location location)`
`EndElementEvent(QName name, Iterator namespaces, Location location, QName schemaType)`

Method Summary
`int` `getEventType()` Returns `XMLStreamConstants.END_ELEMENT`.
`QName` `getName()`
`Iterator` `getNamespaces()`

Methods inherited from class javanet.staxutils.events.AbstractXMLEvent
`asCharacters, asEndElement, asStartElement, clone, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, matches, toString, writeAsEncodedUnicode, writeEvent`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.xml.stream.events.XMLEvent
`asCharacters, asEndElement, asStartElement, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, writeAsEncodedUnicode`

Field Detail

### name

    protected QName name

  The element name.

### namespaces

    protected Collection namespaces

  A collection of `Namespace`s going out of scope.

Constructor Detail

### EndElementEvent

    public EndElementEvent(QName name,
                           Iterator namespaces)

### EndElementEvent

    public EndElementEvent(QName name,
                           Iterator namespaces,
                           Location location)

### EndElementEvent

    public EndElementEvent(QName name,
                           Iterator namespaces,
                           Location location,
                           QName schemaType)

### EndElementEvent

    public EndElementEvent(EndElement that)

Method Detail

### getEventType

    public int getEventType()

  Returns `XMLStreamConstants.END_ELEMENT`.

  Specified by:
    `getEventType` in interface `XMLEvent`

### getName

    public QName getName()

  Specified by:
    `getName` in interface `EndElement`

### getNamespaces

    public Iterator getNamespaces()

  Specified by:
    `getNamespaces` in interface `EndElement`